Subject: Re: [rtcweb] SDP_PRANSWER followed by SDP_OFFER scenario in JSEP

From: Victor Semanic <[email-masked]>
Date: Fri, 11 May 2012 13:00:28 -0700 (PDT)

>> Let's say a standard SIP proxy (call it opensips for specificity) 
>> placing a forked call to two ICE enabled IP phones. Both phones answer 
>> with 200 OK.
> With a standard SIP proxy, only one of the 200 would be sent back to the 
> web browser.

No, I do not think that is the case.  RFC 6026 modified parts of RFC 
3261, but the part that says that a proxy MUST sent multiple 2xx responses 
to  INVITE was kept as-is.  Specifically, RFC 6026 does not modify the 
behaviour of RFC 3261, Section 16.7, Step 5 that says:

         After a final response has been sent on the server transaction,
         the following responses MUST be forwarded immediately:

         -  Any 2xx response to an INVITE request

If I am misreading the specification, please let me know.